%define upstream_name    Config-INI-Reader-Ordered
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    .ini-file parser that returns sections in order
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Config::INI::Reader::Ordered is a subclass of the Config::INI::Reader
manpage which preserves section order. See the Config::INI::Reader manpage
for all documentation; the only difference is as presented in the the
/SYNOPSIS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.22.0-2.mga10
+ Revision: 2217090
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.22.0-1.mga9
+ Revision: 1928968
- update to 0.022

* Mon Mar 21 2022 umeabot <umeabot> 0.21.0-2.mga9
+ Revision: 1814633
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.21.0-1.mga9
+ Revision: 1731844
- update to 0.021

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1503587
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1282349
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.20.0-1.mga7
+ Revision: 1216976
- imported package perl-Config-INI-Reader-Ordered


* Tue Apr 10 2018 cpan2dist 0.020-1mga
- initial mageia release, generated with cpan2dist
